#ifndef OPENGL_H
#define OPENGL_H

#ifdef USE_GLEW
# include <GL/glew.h>
#else
# define GL_GLEXT_PROTOTYPES
# include <GL/gl.h>
#endif

#include <GL/glu.h>
#include <GL/glext.h>

#if GL_GLEXT_VERSION < 24
# error "need at least version 24 of glext.h, see http://oss.sgi.com/projects/ogl-sample/registry/"
#endif

#include <SDL.h>
#define NO_SDL_GLEXT 1
#include <SDL_opengl.h>

#ifdef DEBUG
#ifndef USE_GLEW // not compatible with glew yet
# include "gldebug.h"
#endif
#endif

#endif

